import java.awt.Color;
import java.awt.Polygon;

/**
 * Create a Polygon of N sides N is recieved from toolbar when the Polygon tool
 * is selected
 * 
 * @author Joe Wanstrath. Created Mar 27, 2008.
 */
public class paintPolygon extends Polygon implements Tool {
	private Color color;

	/**
	 * 
	 * create a polygon from a list of x and y points
	 * 
	 * @param x
	 * @param y
	 */
	public paintPolygon(int[] x, int[] y) {
		super(x, y, x.length);
	}

	public Color getColor() {
		return this.color;
	}

	public void setColor(Color color) {
		this.color = color;
		
	}
}
